//-----------------------------------------------------------------------------
//Api_2_Ueh_Gtsz_1.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//Package Definition
//-----------------------------------------------------------------------------
package uicc.usim.test.toolkit.api_2_ueh_gtsz;
import uicc.usim.test.util.TestToolkitApplet;
import uicc.toolkit.*;
import uicc.usim.toolkit.*;


/**
* Test Area : uicc.usim.tookit.USATEnvelopeHandler.getSize()
* 
* Applet is triggered on Install (Install), EVENT_FORMATTED_SMS_PP_ENV
*
*/
public class Api_2_Ueh_Gtsz_1  extends  TestToolkitApplet implements uicc.usim.toolkit.ToolkitConstants
{
    
    private byte result = (byte) 0;
    public static byte testCaseNb = (byte) 0x00;
    
    byte[] Test = {(byte)'T',(byte)'e',(byte)'s',(byte)'t',(byte)' ',(byte)'A'} ;
  
    /**
    * Constructor of the applet
    */
    public Api_2_Ueh_Gtsz_1 () 
    {
        
    
    }
    
    
    /**
    * Method called by the JCRE at the installation of the applet
    */
    public static void install(byte bArray[], short bOffset, byte bLength) 
    {
        // Create a new applet instance
        Api_2_Ueh_Gtsz_1  thisApplet = new Api_2_Ueh_Gtsz_1 ();
        
        // Register the new applet instance to the JCRE            
        thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);
        
        
        // Initialise the data of the test applet
        thisApplet.init();
        
        
        thisApplet.obReg.setEvent(EVENT_UNRECOGNIZED_ENVELOPE);
    }
    
    
    /**
    * Method called by the SIM Toolkit Framework
    */
    public void processToolkit(short event) 
    {
        // Result of tests
        boolean bRes ;
        
        // Get the system instance of handlers
        USATEnvelopeHandler envHdlr = USATEnvelopeHandlerSystem.getTheHandler();
        ProactiveHandler proHdlr = ProactiveHandlerSystem.getTheHandler() ;
      
      
        // --------------------------------------------
        // Test Case 1 :Call getSize() method just after triggering of the application. 
        testCaseNb = (byte) 1 ;

        bRes = false ;
        try 
        {
            if (envHdlr.getSize() == 0x33)
                bRes = true;
        }
        catch (Exception e)    
        {    
            bRes = false ;
        }
        reportTestOutcome(testCaseNb, bRes) ;
        
    
    
        // --------------------------------------------
        // Test Case 2 : Call getSize() method after a proactive command.
        testCaseNb = (byte) 2 ;

        bRes = false ;
        try 
        {
            proHdlr.initDisplayText((byte)0x00, (byte)0x04 /*DCS_8_BIT_DATA*/, Test, (short)0, (short)Test.length) ;
            proHdlr.send() ;
        }
        catch(Exception e)
        {
            bRes = false ;
        }
                    
        try 
        {
            if (envHdlr.getSize() == 0x33)
                bRes = true;
        }
        catch (Exception e)    
        {    
            bRes = false ;
        }
        reportTestOutcome(testCaseNb, bRes) ;
                
    }
}
